# FlowScope

@Incubating
@ServiceScope(value = Build::class)
interface FlowScope

Augments the cached work graph with dataflow actions, anonymous, parameterized and isolated pieces of work that are triggered solely based on the availability of their input parameters.

#### Since

8.1

## Types

Registration
Link copied to clipboard
@Incubating
interface Registration<P : FlowParameters?>
Represents a registered dataflow action.

## Functions

always
Link copied to clipboard
abstract fun <P : FlowParameters?> always(action: Class<out FlowAction<P>>, configure: Action<in FlowActionSpec<P>>): FlowScope.Registration<P>
Registers a dataflow action that's always part of the dataflow graph.
always
Link copied to clipboard
@Incubating
inline fun <P : FlowParameters> FlowScope.always(action: KClass<out FlowAction<P>>, configure: Action<in FlowActionSpec<P>>): FlowScope.Registration<P>

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.flow.FlowScope.always.